from selenium import webdriver
from selenium.webdriver.chrome.service import Service
from selenium.webdriver.common.by import By
from selenium.webdriver.common.keys import Keys
import time
from bs4 import BeautifulSoup
import csv
import pandas as pd
import pyperclip

service = Service('chromedriver.exe')
driver = webdriver.Chrome(service=service)

# 블로그 ID 수집을 위한 set 초기화 (중복 자동 제거)
blog_id_set = set()
search_keyword = '드론'
total_pages = 200

for page in range(total_pages):
    # URL 생성
    search_url = f"https://section.blog.naver.com/Search/Post.naver?pageNo={page}&rangeType=ALL&orderBy=sim&keyword={search_keyword}"
    driver.get(search_url)

    # 블로그 저자 요소 찾기
    authors = driver.find_elements(By.CLASS_NAME, 'author')

    # 저자 링크에서 ID 추출
    for author in authors:
        blog_link = author.get_attribute('href')
        if blog_link:
            # ID 추출
            blog_id = blog_link.split('/')[-1]  # 마지막 부분에서 ID 추출
            blog_id_set.add(blog_id)  # set에 추가하면 중복이 자동으로 제거됨
    
    # 페이지마다 0.1초의 딜레이 추가
    time.sleep(0.15)

# set을 리스트로 변환
unique_blog_ids = list(blog_id_set)

# DataFrame으로 변환
id_data = pd.DataFrame(unique_blog_ids, columns=['BlogID'])  # 컬럼 이름 추가

# CSV 파일로 저장
id_data.to_csv('naver_blogId_교육.csv', mode='a', header=False, index=False)

# 드라이버 종료
driver.quit()